$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5db142792337e60969f58c4e85745d1d42b2f04c/rpcs3-v0.0.12-10873-5db14279_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '6e1176bae4939aa42621db52b87cd1a35ad4070c422604b14d89747ae8bcdc5d'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
